# Generated from abtion-scripts-1.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name abtion-scripts

Name: rubygem-%{gem_name}
Version: 1.1.1
Release: 1%{?dist}
Summary: Abtion command-line scripts for easy testing and deployment
License: MIT
URL: http://github.com/abtion/abtion-scripts
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(jeweler)
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(pry-stack_explorer)
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(shoulda)
# BuildRequires: rubygem(simplecov)
BuildArch: noarch

%description
Abtion tools for easy building, testing, and deploying.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/abtion
%{gem_instdir}/.pairs
%{gem_instdir}/.ruby-version
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_instdir}/abtion.yml
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec

%changelog
* Sun Sep 12 2021 mockbuilder - 1.1.1-1
- Initial package
